
QGIS Application - Bug report #14300

SAGA 2.2.3 "Create Graticule" needs a parameter changed

2016-02-15 08:51 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/SAGA

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22291

Description

e.g.

shapes_tools "Create Graticule" -EXTENT "/home/paolo/Scrivania/corso_analisi/QGIS_data/processing/first_saga_alg/points.shp"

-X_EXTENT_MIN -5.69612618103 -X_EXTENT_MAX -5.69522189376 -Y_EXTENT_MIN 40.2475198948 -Y_EXTENT_MAX

40.2480705655 -DISTX 1 -DISTY 1 -TYPE 0 -GRATICULE

"/tmp/processing814afbbe510d43a189314069af2adeae/837de76a12e845a4a4e793bf6f00bd36/GRATICULE.shp"

Unknown option 'X_EXTENT_MIN'

Related issues:

Related to QGIS Application - Bug report # 13279: Processing & SAGA Closed 2015-08-28

History

#1 - 2016-02-15 08:53 AM - Paolo Cavallini

These are the current options:

-EXTENT_X_MIN:&lt;str&gt;      Width

  -EXTENT_X_MAX:&lt;str&gt;      Width

  -EXTENT_Y_MIN:&lt;str&gt;      Height

  -EXTENT_Y_MAX:&lt;str&gt;      Height

#2 - 2016-02-15 09:11 AM - Paolo Cavallini

- File diff_222_223.txt added

#3 - 2016-02-16 01:36 AM - Giovanni Manghi

- Assignee changed from Victor Olaya to Giovanni Manghi

- Priority changed from Severe/Regression to Normal

- Operating System deleted (Debian)

- Subject changed from Upgrade to saga 2.2.3 breaks some algs to SAGA 2.2.3 "Create Graticule" needs a parameter changed

- OS version deleted (Sid)

"Create Graticule" is the only module (of 2) that changed that parameter, as a quick look into 

https://sourceforge.net/p/saga-gis/wiki/Changelog%202.2.3/attachment/saga_cmd_interface_v2_2_3.txt shown.

#4 - 2016-02-16 02:05 AM - Paolo Cavallini
https://sourceforge.net/p/saga-gis/wiki/Changelog%202.2.3/attachment/saga_cmd_interface_v2_2_3.txt


One more:

grid_spline "Multilevel B-Spline Interpolation" -TARGET_DEFINITION 0 -SHAPES

"/home/paolo/Scrivania/corso_analisi/QGIS_data/processing/interp_contour/points.shp" -FIELD "RAIN" -METHOD 0 -EPSILON 0.0001 -UPDATE false

-TARGET_USER_XMIN 1568206.4961 -TARGET_USER_XMAX 1748320.1732 -TARGET_USER_YMIN 4697616.21343 -TARGET_USER_YMAX

4922613.39423 -TARGET_USER_SIZE 500 -TARGET_USER_FITS 0 -TARGET_OUT_GRID

"/tmp/processing543c8fb958c34d0a8b161fc7f40b98d0/9a8c7692587b4b50a68237c7255c449d/TARGETOUTGRID.sdat" 

Unknown option 'UPDATE'

#5 - 2016-02-18 04:55 AM - Alexander Bruy

- File algdiff.txt added

Here is processed version of the diff.

I also prepared folder with 2.2.3 descriptions and fixed (not tested yet) "Create Graticule" tool. Will commit it when feature freeze will over.

#6 - 2016-02-18 04:55 AM - Alexander Bruy

- Status changed from Open to In Progress

#7 - 2016-02-18 05:11 AM - Paolo Cavallini

Why not committing it now? It's a bugfix, not a new feature.

Thanks!

#8 - 2016-02-18 08:57 AM - Alexander Bruy

IMO it also can be considired as new feature as it adds support for new SAGA version. OK, commited as commit:a0da85fc41. Feel free to correct

descriptions if necessary

#9 - 2016-03-06 02:16 AM - Giovanni Manghi

- % Done changed from 0 to 100

see

https://github.com/qgis/QGIS/pull/2869

#10 - 2016-03-09 02:36 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed

Pull-request merged and backported to 2.14

Files

diff_222_223.txt 10.8 KB 2016-02-15 Paolo Cavallini
algdiff.txt 3.26 KB 2016-02-18 Alexander Bruy
